Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1493964 - gi.overrides.BlockDev.LVMError: Failed to get properties of the /com/redhat/lvmdbus1/Pv/0 object: Timeout was reached
Summary: gi.overrides.BlockDev.LVMError: Failed to get properties of the /com/redhat/l...
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: python-blivet
Version: 27
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Blivet Maintenance Team
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard: abrt_hash:d488169cfa9e97e55ecfca4c030...
: 1492340 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-09-21 08:42 UTC by lnie
Modified: 2018-11-30 19:50 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2018-11-30 19:50:05 UTC
Type: ---


Attachments (Terms of Use)
File: anaconda-tb (611.07 KB, text/plain)
2017-09-21 08:43 UTC, lnie
no flags Details
File: anaconda.log (16.08 KB, text/plain)
2017-09-21 08:43 UTC, lnie
no flags Details
File: dnf.librepo.log (10.33 KB, text/plain)
2017-09-21 08:43 UTC, lnie
no flags Details
File: environ (530 bytes, text/plain)
2017-09-21 08:43 UTC, lnie
no flags Details
File: hawkey.log (5.05 KB, text/plain)
2017-09-21 08:43 UTC, lnie
no flags Details
File: lorax-packages.log (25.90 KB, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details
File: lsblk_output (1.51 KB, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details
File: nmcli_dev_list (1.21 KB, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details
File: os_info (529 bytes, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details
File: program.log (19.96 KB, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details
File: storage.log (56.97 KB, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details
File: syslog (226.38 KB, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details
File: ifcfg.log (2.28 KB, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details
File: packaging.log (14.25 KB, text/plain)
2017-09-21 08:44 UTC, lnie
no flags Details

Description lnie 2017-09-21 08:42:32 UTC
Version-Release number of selected component:
anaconda-27.20.1-1

The following was filed automatically by anaconda:
anaconda 27.20.1-1 exception report
Traceback (most recent call first):
  File "/usr/lib64/python3.6/site-packages/gi/overrides/BlockDev.py", line 824, in wrapped
    raise transform[1](msg)
  File "/usr/lib/python3.6/site-packages/blivet/static_data/lvm_info.py", line 68, in cache
    pvs = blockdev.lvm.pvs()
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/lvm.py", line 91, in _get_kwargs
    pv_info = pvs_info.cache.get(self.device.path, None)
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/formatpopulator.py", line 84, in run
    kwargs = self._get_kwargs()
  File "/usr/lib/python3.6/site-packages/blivet/populator/helpers/lvm.py", line 399, in run
    super().run()
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 345, in handle_format
    helper_class(self, info, device).run()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 318, in handle_device
    self.handle_format(info, device)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 519, in _populate
    self.handle_device(dev)
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib/python3.6/site-packages/blivet/populator/populator.py", line 454, in populate
    self._populate()
  File "/usr/lib/python3.6/site-packages/blivet/threads.py", line 45, in run_with_lock
    return m(*args, **kwargs)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/storage_utils.py", line 736, in try_populate_devicetree
    devicetree.populate()
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/advstorage/iscsi.py", line 185, in run
    try_populate_devicetree(self.storage.devicetree)
  File "/usr/lib64/python3.6/site-packages/pyanaconda/ui/gui/spokes/advanced_storage.py", line 664, in on_add_iscsi_clicked
    dialog.run()
gi.overrides.BlockDev.LVMError: Failed to get properties of the /com/redhat/lvmdbus1/Pv/0 object: Timeout was reached

Additional info:
addons:         com_redhat_kdump, com_redhat_docker
blivet-gui-utils.log: 
cmdline:        /usr/libexec/system-python  /sbin/anaconda
cmdline_file:   BOOT_IMAGE=vmlinuz initrd=initrd.img inst.stage2=hd:LABEL=Fedora-S-dvd-x86_64-27 rd.live.check quiet
executable:     /sbin/anaconda
hashmarkername: anaconda
kernel:         4.13.0-0.rc7.git0.1.fc27.x86_64
product:        Fedora
release:        Cannot get release name.
type:           anaconda
version:        27

Comment 1 lnie 2017-09-21 08:43:49 UTC
Created attachment 1328865 [details]
File: anaconda-tb

Comment 2 lnie 2017-09-21 08:43:52 UTC
Created attachment 1328866 [details]
File: anaconda.log

Comment 3 lnie 2017-09-21 08:43:55 UTC
Created attachment 1328867 [details]
File: dnf.librepo.log

Comment 4 lnie 2017-09-21 08:43:57 UTC
Created attachment 1328868 [details]
File: environ

Comment 5 lnie 2017-09-21 08:43:59 UTC
Created attachment 1328869 [details]
File: hawkey.log

Comment 6 lnie 2017-09-21 08:44:03 UTC
Created attachment 1328870 [details]
File: lorax-packages.log

Comment 7 lnie 2017-09-21 08:44:05 UTC
Created attachment 1328871 [details]
File: lsblk_output

Comment 8 lnie 2017-09-21 08:44:07 UTC
Created attachment 1328872 [details]
File: nmcli_dev_list

Comment 9 lnie 2017-09-21 08:44:09 UTC
Created attachment 1328873 [details]
File: os_info

Comment 10 lnie 2017-09-21 08:44:15 UTC
Created attachment 1328874 [details]
File: program.log

Comment 11 lnie 2017-09-21 08:44:22 UTC
Created attachment 1328875 [details]
File: storage.log

Comment 12 lnie 2017-09-21 08:44:46 UTC
Created attachment 1328876 [details]
File: syslog

Comment 13 lnie 2017-09-21 08:44:48 UTC
Created attachment 1328877 [details]
File: ifcfg.log

Comment 14 lnie 2017-09-21 08:44:52 UTC
Created attachment 1328878 [details]
File: packaging.log

Comment 15 lnie 2017-09-23 13:00:49 UTC
*** Bug 1492340 has been marked as a duplicate of this bug. ***

Comment 16 Ben Cotton 2018-11-27 17:03:36 UTC
This message is a reminder that Fedora 27 is nearing its end of life.
On 2018-Nov-30  Fedora will stop maintaining and issuing updates for
Fedora 27. It is Fedora's policy to close all bug reports from releases
that are no longer maintained. At that time this bug will be closed as
EOL if it remains open with a Fedora  'version' of '27'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 27 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 17 Ben Cotton 2018-11-30 19:50:05 UTC
Fedora 27 changed to end-of-life (EOL) status on 2018-11-30. Fedora 27 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.